<%@ Page Language="C#" AutoEventWireup="true" Inherits="system_Label_createHTML" Codebehind="createHTML.aspx.cs" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%wJS(); %>
    <link rel="stylesheet" type="text/css" href="../skins/css/main.css" />
    <link rel="stylesheet" type="text/css" href="../skins/css/Sys.css" />

    <script type="text/javascript" language="javascript" src="../js/JFramework.js"></script>

    <script type="text/javascript" language="javascript" src="../js/Sys.js"></script>

    <script type="text/javascript" language="javascript" src="js/createHTML.js"></script>

    <script type="text/javascript" language="javascript">
    
    var objAjax=new JAjax();
    var cr=new createHTML();
//    this.menuid=null;   //生成哪一个栏目  0 生成全部栏目
//    this.createDown=0;  //是否生成子栏目 0 不包含
//    this.createMenu=1;  //是否生成栏目的HTML页
//    
//    this.createArticle=1; //是否生成内容页
//    this.createDate=1;     //生成多少天之内更新的
//    
//    var mList=null;    //将要生成的栏目列表
//    var aList=null;    //将要生成的内容页列表
    
    cr.menuid="0";
    cr.createDown="1";
    cr.createMenu=0;
    cr.menuType=3;     //1只生成有子栏目的  2 只生成没有子栏目的  3 不设置
    
    cr.createArticle=1;
    cr.createDate=10;
    function ok(){
        if (isHTML=="0"){
          alert("在系统设置中设置了使用动态网页方式\n\n如果您要生成静态页, 请修改系统设置中的参数");
            return;
        }
         if ($("midText").value==""){
            alert("要生成的栏目ID不能为空");
            return;
         }
         if (isNaN($("midText").value)){
           alert("栏目ID只能是数字");
            return;
         }
         
         if ($("dateNum").value==""){
            alert("要生成的内容日期范围不能为空");
            return;
         }
         if (isNaN($("dateNum").value)){
           alert("要生成的内容日期范围只能是数字");
            return;
         }
         cr.menuid=$("midText").value;
         cr.createDate=$("dateNum").value;
         
         if ($("isDown").checked){
            cr.createDown="1";
         }else{
            cr.createDown="0";
         }
         if ($("isMenu").checked){
            cr.createMenu=1;
         }else{
           cr.createMenu=0;
         }
         if ($("isArticle").checked){
            cr.createArticle=1;
         }else{
            cr.createArticle=0;
         }
         if ($("cType-1").checked){
            cr.menuType=1;
          }else if ($("cType-2").checked){
             cr.menuType=2;
          }else{
            cr.menuType=3;
          }
          if ($("isDown-2").checked){
           cr.menuid="0";
          }
          
          if ( $("clearType").checked & $("clearSet").checked ){
            alert("忽略已生成HTML的内容和重新设置标记不能同时使用");
            return;
          }
          
          if ($("clearType").checked){
            cr.clear=1;
          }else{
            cr.clear=0;
          }
          if ($("clearSet").checked){
            cr.clearSet=1;
          }else{
            cr.clearSet=0;
          }
          
          if ($("isIndex").checked){
            cr.isIndex=1;
          }else{
            cr.isIndex=0;
          }
          
          
        $("create").style.display="block";
        $("setup").style.display="none";
        cr.start();
    }
    
    function selectMenu(){
       var m= openSelectMenu();
       if (m==null | m==""){return;}
       m=m.split(c1);
       if (m[2]==""){
           return;
       }
       $("midText").value=m[1];
    }
    
    function loadPage(){
        var menuid=readPar(location.href,"menuid");
        if (menuid!="" &menuid!=null){
            $("midText").value=menuid;
        }
        	loadBodyclick();
    }
    
    function stop(){
        cr.isStop=1;
    }
    </script>

    <title>无标题页</title>
</head>
<body style="overflow: auto;" onload="loadPage();">
    <div id="setup" style="padding: 4px; width: 400px;">
        <form id="form1" action="">
            <div style="padding: 4px; border: 1px solid #C0C0C0; margin: 4px;">
                <div>
                    栏目设置</div>
                <div>
                    栏目ID<input size="10" id="midText" type="text" /><input onclick="selectMenu()" id="Button1"
                        type="button" value="选择" /></div>
                <div>
                    <input checked id="isDown-1" name="menuidType" type="radio" /><label for="isDown-1">当前栏目</label>
                    <input id="isDown-2" name="menuidType" type="radio" /><label for="isDown-2">所有栏目</label></div>
                <div>
                    <input checked id="isDown" type="checkbox" /><label for="isDown">包含栏目下的子栏目</label></div>
            </div>
            <div style="padding: 4px; border: 1px solid #C0C0C0; margin: 4px;">
                <div>
                    生成</div>
                <div>
                    <input checked id="isIndex" type="checkbox" /><label for="isIndex">生成首页静态页</label></div>
                <div>
                    <div>
                        <input checked id="isMenu" type="checkbox" /><label for="isMenu">生成栏目静态页</label></div>
                    <div>
                        <input checked id="isArticle" type="checkbox" /><label for="isArticle">生成内容静态页</label></div>
                    <div>
                        <input id="cType-1" name="menuType" type="radio" /><label for="cType-1">只生成有子栏目的</label>
                        <input id="cType-2" name="menuType" type="radio" /><label for="cType-2">只生成无子栏目的</label>
                        <input checked id="cType-3" name="menuType" type="radio" /><label for="cType-3">不设置</label>
                    </div>
                    <div>
                        日期范围 生成<input size="5" id="dateNum" type="text" value="3" />天之内的更新</div>
                    <div>
                        <input checked id="clearType" type="checkbox" /><label for="clearType">忽略已经生成成功HTML的内容</label>
                    </div>
                    <div>
                        <input id="clearSet" type="checkbox" /><label for="clearSet">重新设置是否已生成页面标记</label>
                    </div>
                    <div>
                        <input type="button" value="开始生成" onclick="ok()" /></div>
                </div>
            </div>
            生成静态页会占用大量的CPU和消耗大量的服务器内存, 生成完成后, 最好重启一下IIS和SQL数据库, 以释放服务器内存. 
            如果生成中由于服务器内存不足生成失败, 请释放一些服务器内存后再试一次.<br/>
            如果发现用动态页方式浏览并不是很慢, 但生成HTML的速度很慢, 需要一秒以上甚至数秒才能生成一页, 这是由于系统在重写文件时遇到困难, 请删除HTML目录内的子目录, 再重新生成所有页面的静态页.
        </form>
    </div>
    <div id="create" style="display:none;padding: 4px; width: 400px;">
        <div id="timeDiv">
        </div>
        <div id="Div1">
           <input type="button" value="停止" onclick="stop();" style="color:#808080;"/>
           <br/>注意:关闭窗口不能停止生成HTML,请点停止.
        </div>
        <div id="inputInfo" style="height: 50px;">
        </div>
        <div id="erInfo">
        </div>
        <div id="erList">
        </div>
        
        <div id="sql">
        </div>
    </div>
</body>
</html>
